- NAME
- SYNOPSIS
- FUNCTION DESCRIPTIONS

- AcquireMemory
- CloneMemory
- LiberateMemory
- PopImagePixels
- PushImagePixels
- ReacquireMemory

# NAME

deprecate - Methods which should no longer be used

# SYNOPSIS

void * AcquireMemory( const size_t size );

void * CloneMemory( void *destination, const void *source, const size_t size );

void LiberateMemory( void ** memory );

unsigned int PopImagePixels( const Image *, const QuantumType quantum, unsigned char *destination );

unsigned int PushImagePixels( Image *image, const QuantumType quantum_type, const unsigned char *source );

void ReacquireMemory( void ** memory, const size_t size );

# FUNCTION DESCRIPTIONS

## AcquireMemory

> AcquireMemory() returns a pointer to a block of memory of at least size bytes suitably aligned for any use. NULL is returned if insufficient memory is available or the requested size is zero.

The format of the AcquireMemory method is:

> void *AcquireMemory ( const size_t size );

A description of each parameter follows:

size:

  The size of the memory in bytes to allocate.

## CloneMemory

> CloneMemory() copies size bytes from memory area source to the destination. Copying between objects that overlap will take place correctly. It returns destination.

The format of the CloneMemory method is:

> void *CloneMemory ( void *destination, const void *source, const size_t size );

A description of each parameter follows:

size:

  The size of the memory in bytes to allocate.

## LiberateMemory

> LiberateMemory() frees memory that has already been allocated, and NULLs the pointer to it.

The format of the LiberateMemory method is:

> void LiberateMemory ( void **memory );

A description of each parameter follows:

memory:

  A pointer to a block of memory to free for reuse.

## PopImagePixels

> PopImagePixels() transfers one or more pixel components from the image pixel cache to a user supplied buffer. True is returned if the pixels are successfully transferred, otherwise False.

The format of the PopImagePixels method is:

> unsigned int PopImagePixels ( const Image *, const QuantumType quantum, unsigned char *destination );

A description of each parameter follows:

status:

  Method PopImagePixels returns True if the pixels are successfully transferred, otherwise False.

image:

  The image.

quantum:

  Declare which pixel components to transfer (RGB, RGBA, etc).

destination:

  The components are transferred to this buffer.

## PushImagePixels

> PushImagePixels() transfers one or more pixel components from a user supplied buffer into the image pixel cache of an image. It returns True if the pixels are successfully transferred, otherwise False.

The format of the PushImagePixels method is:

> unsigned int PushImagePixels ( Image *image, const QuantumType quantum_type, const unsigned char *source );

A description of each parameter follows:

status:

  Method PushImagePixels returns True if the pixels are successfully transferred, otherwise False.

image:

  The image.

quantum_type:

  Declare which pixel components to transfer (red, green, blue, opacity, RGB, or RGBA).

source:

  The pixel components are transferred from this buffer.

## ReacquireMemory

> ReacquireMemory() changes the size of the memory and returns a pointer to the ( possibly moved ) block. The contents will be unchanged up to the lesser of the new and old sizes.

The format of the ReacquireMemory method is:

> void ReacquireMemory ( void **memory, const size_t size );

A description of each parameter follows:

memory:

  A pointer to a memory allocation. On return the pointer may change but the contents of the original allocation will not.

size:

  The new size of the allocated memory.